import usePolling from '../util/Polling';

export default function useGamesApi(dispatchGames) {

    const useList = (pollingReducer) => {
        const [polling, dispatchPolling] = pollingReducer;

        const onResponce = (json) => {
            dispatchGames({ type: 'next', list: json });
        }

        const mode = (polling.enabled === true)
            ? { interval_sec: 30 }      // fetch gamesList every half a minue
            : { interval_stop: true }   // user has fliped OfflineToggel

        const isPolling = usePolling('/api/games', onResponce, mode);

        if (isPolling !== polling.games) {
            dispatchPolling({ type: 'next', games: isPolling });
        }
    }

    return {
        list: useList
    }
}