import './Leaderboard.css';
import React from "react"
import Loading from '../components/Loading';

export default function Leaderboard({ players }) {

  const leaderboard = players.leaderboard;

  if (leaderboard == null)
    return <Loading />

  const tableRows = Object.keys(leaderboard).map(playerName => {
    var rank = leaderboard[playerName];

    return <tr key={playerName} className={players.isCurrentUser(playerName) && 'currentuser'}>
      <td>{playerName}</td>
      <td>{rank.gamesPlayed}</td>
      <td>{rank.gamesWon}</td>
      <td>{rank.gamesDraw}</td>
    </tr>
  });

  return (
    <div className="Leaderboard">
      <table>
        <thead>
          <tr>
            <th></th>
            <th>Played</th>
            <th>Won</th>
            <th>Draw</th>
          </tr>
        </thead>
        <tbody>
          {tableRows}
        </tbody>
      </table>
    </div>
  )
};