import { useReducer } from 'react';
import { nextState } from '../util/StateHelper';

export const gamesInitialState = {
  list: null,
};

export function gamesReducer(state, action) {
  switch (action.type) {

    case 'next': 
      return nextState(state, action);

    default:
      throw Error('GamesReducer: unknown action.type', action.type);
  }
}

export default function useGamesReducer() {
  return useReducer(gamesReducer, gamesInitialState);
}